Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ImageProcessorInterfaces Class Reference

The interfaces of the ImageProcessor module. More...

`#include <ImageProcessor.h>`

Inheritance diagram for ImageProcessorInterfaces:

[legend]
Collaboration diagram for ImageProcessorInterfaces:

[legend]
List of all members.

## Public Member Functions
| ImageProcessorInterfaces (const Image &image, const CameraMatrix &cameraMatrix, ColorTable &colorTable, const RobotPose &robotPose, const BallModel &ballModel, const PlayerPoseCollection &playerPoseCollection, const RobotState &robotState, const CalibrationRequest &calibrationRequest, LandmarksPercept &landmarksPercept, BallPercept &ballPercept, LinesPercept &linesPercept, EdgesPercept &edgesPercept, PlayersPercept &playersPercept, ObstaclesPercept &obstaclesPercept, SpecialPercept &specialPercept)
| Constructor.
## Public Attributes
const Image & | image
| The image to be processed.
const CameraMatrix & | cameraMatrix
| The offset and the rotation of the camera.
ColorTable & | colorTable
| The color table.
const RobotPose & | robotPose
| The last calculated ball robot pose.
const BallModel & | ballModel
| The last calculated ball position.
const PlayerPoseCollection & | playerPoseCollection
| The last calculated player pose collection.
const RobotState & | robotState
| The last calculated robot state.
const CalibrationRequest & | calibrationRequest
| The calibration request.
LandmarksPercept & | landmarksPercept
| The landmarks percept to be generated.
BallPercept & | ballPercept
| The ball percept to be generated.
LinesPercept & | linesPercept
| The lines percept to be generated.
EdgesPercept & | edgesPercept
| The edges percept to be generated.
PlayersPercept & | playersPercept
| The players percept to be generated.
ObstaclesPercept & | obstaclesPercept
| The obstacles percept to be generated.
SpecialPercept & | specialPercept

## Detailed Description

The interfaces of the ImageProcessor module.

Definition at line 42 of file ImageProcessor.h.

## Constructor & Destructor Documentation

ImageProcessorInterfaces::ImageProcessorInterfaces | ( | const Image & | image,
|  | const CameraMatrix & | cameraMatrix,
|  | ColorTable & | colorTable,
|  | const RobotPose & | robotPose,
|  | const BallModel & | ballModel,
|  | const PlayerPoseCollection & | playerPoseCollection,
|  | const RobotState & | robotState,
|  | const CalibrationRequest & | calibrationRequest,
|  | LandmarksPercept & | landmarksPercept,
|  | BallPercept & | ballPercept,
|  | LinesPercept & | linesPercept,
|  | EdgesPercept & | edgesPercept,
|  | PlayersPercept & | playersPercept,
|  | ObstaclesPercept & | obstaclesPercept,
|  | SpecialPercept & | specialPercept
| ) | `[inline]`

| Constructor. Definition at line 46 of file ImageProcessor.h.

## Member Data Documentation

const Image& ImageProcessorInterfaces::image

| The image to be processed. Definition at line 80 of file ImageProcessor.h. Referenced by GT2004EdgeDetection::ballEdgeVote(), GT2004EdgeDetection::crossEdgeVote(), VLCGoalRecognizer::detectEdge(), GT2005GoalRecognizer::detectEdge(), VLCGoalRecognizer::detectGreenBelowGoalpost(), GT2005GoalRecognizer::detectGreenBelowGoalpost(), GT2004EdgeDetection::fastCrossEdgeVote(), GT2004EdgeDetection::fieldEdgeVote(), GT2004EdgeDetection::findStart(), GT2004EdgeDetection::getColor(), GT2004EdgeDetection::horizontalEdgeVote(), GT2004EdgeDetection::insideImage(), VLCGoalRecognizer::inspectNeighbourhood(), GT2005GoalRecognizer::inspectNeighbourhood(), VLCGoalRecognizer::interpretResults(), VLCGoalRecognizer::notifyAboutNewImage(), GT2005GoalRecognizer::notifyAboutNewImage(), GT2005GoalRecognizer::publishResults(), VLCGoalRecognizer::scanAlongLine(), GT2005GoalRecognizer::scanAlongLine(), GT2004EdgeDetection::scanEast(), GT2004EdgeDetection::scanSouth(), GT2004EdgeDetection::susanVote(), and GT2004EdgeDetection::verticalEdgeVote().

const CameraMatrix& ImageProcessorInterfaces::cameraMatrix

| The offset and the rotation of the camera. Definition at line 83 of file ImageProcessor.h. Referenced by VLCGoalRecognizer::interpretResults(), and GT2005GoalRecognizer::publishResults().

ColorTable& ImageProcessorInterfaces::colorTable

| The color table. Definition at line 86 of file ImageProcessor.h. Referenced by GT2005GoalRecognizer::detectEdge(), GT2005GoalRecognizer::detectGreenBelowGoalpost(), GT2004EdgeDetection::getColor(), GT2005GoalRecognizer::inspectNeighbourhood(), and GT2005GoalRecognizer::scanAlongLine().

const RobotPose& ImageProcessorInterfaces::robotPose

| The last calculated ball robot pose. Definition at line 89 of file ImageProcessor.h.

const BallModel& ImageProcessorInterfaces::ballModel

| The last calculated ball position. Definition at line 92 of file ImageProcessor.h.

const PlayerPoseCollection& ImageProcessorInterfaces::playerPoseCollection

| The last calculated player pose collection. Definition at line 95 of file ImageProcessor.h.

const RobotState& ImageProcessorInterfaces::robotState

| The last calculated robot state. Definition at line 98 of file ImageProcessor.h.

const CalibrationRequest& ImageProcessorInterfaces::calibrationRequest

| The calibration request. Definition at line 101 of file ImageProcessor.h.

LandmarksPercept& ImageProcessorInterfaces::landmarksPercept

| The landmarks percept to be generated. Definition at line 104 of file ImageProcessor.h. Referenced by VLCGoalRecognizer::interpretResults(), GT2005GoalRecognizer::notifyAboutFlags(), and GT2005GoalRecognizer::publishResults().

BallPercept& ImageProcessorInterfaces::ballPercept

| The ball percept to be generated. Definition at line 107 of file ImageProcessor.h.

LinesPercept& ImageProcessorInterfaces::linesPercept

| The lines percept to be generated. Definition at line 110 of file ImageProcessor.h.

EdgesPercept& ImageProcessorInterfaces::edgesPercept

| The edges percept to be generated. Definition at line 113 of file ImageProcessor.h.

PlayersPercept& ImageProcessorInterfaces::playersPercept

| The players percept to be generated. Definition at line 116 of file ImageProcessor.h.

ObstaclesPercept& ImageProcessorInterfaces::obstaclesPercept

| The obstacles percept to be generated. Definition at line 119 of file ImageProcessor.h. Referenced by VLCGoalRecognizer::interpretResults(), and GT2005GoalRecognizer::publishResults().

SpecialPercept& ImageProcessorInterfaces::specialPercept

| Definition at line 122 of file ImageProcessor.h.

The documentation for this class was generated from the following file:

- Modules/ImageProcessor/ImageProcessor.h